org.apache.maven.scm.provider.cvslib.util

## Class CvsUtil

- java.lang.Object
- - org.apache.maven.scm.provider.cvslib.util.CvsUtil

    public class CvsUtil
    extends Object

Version:
  $Id: CvsUtil.java 896222 2010-01-05 21:20:54Z olamy $
Author:
  Emmanuel Venisse

### Field Summary

Fields
`protected static String` `CVS_SETTINGS_FILENAME`
`static File` `DEFAULT_SETTINGS_DIRECTORY`

### Method Summary

Methods
`static Settings` `getSettings()`
`static void` `setSettingsDirectory(File directory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CVS_SETTINGS_FILENAME

    protected static final String CVS_SETTINGS_FILENAME

See Also:
  Constant Field Values

#### DEFAULT_SETTINGS_DIRECTORY

    public static final File DEFAULT_SETTINGS_DIRECTORY

### Method Detail

#### getSettings

    public static Settings getSettings()

#### setSettingsDirectory

    public static void setSettingsDirectory(File directory)